[data-bs-theme="light"] {
  --bs-code-color: #1e910d;
  --bs-link-color: #0e72ae;
}
  
[data-bs-theme="dark"] {
  --bs-code-color: #6cb362;
  --bs-link-color: #6eb2db;
}

a {
  color: var(--bs-link-color);
}


.xref {
    text-decoration: none;
    font-family: monospace;
    font-size: 1.05rem;
}

.xref:hover {
    text-decoration: underline;
}

code {
  font-size: 1.05rem;
  color: var(--bs-code-color);
  word-wrap: break-word;
}

body[data-yaml-mime="ManagedReference"] article div.facts {
  font-size: 14px;
  margin: 0;
}

body[data-yaml-mime="ManagedReference"] article dl.typelist > dt {
  font-weight: 400;
}

.description-preview {
    margin-left: 3rem;
}

.wrap-collabsible {
    margin-bottom: 1.2rem 0;
  }
  
  input[type='checkbox'] {
    display: none;
  }
  
  .lbl-toggle {
    display: block;
  
    color: var(--bs-body-color);
    border: 1px solid var(--bs-border-color);
    background: transparent;

    padding-top: 0;
    padding-bottom: 0.2rem;
    padding-left: 1rem;

    cursor: pointer;
  
    border-radius: 5px;
    transition: all 0.25s ease-out;
  }
  
  .lbl-toggle:hover {
    color: var(--bs-emphasis-color);
  }
  
  .lbl-toggle::before {
    content: ' ';
    display: inline-block;
  
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-left: 5px solid currentColor;
    vertical-align: middle;
    margin-right: .7rem;
    transform: translateY(-2px);
  
    transition: transform .2s ease-out;
  }
  
  .toggle:checked + .lbl-toggle::before {
    transform: rotate(90deg) translateX(-3px);
  }
  
  .collapsible-content {
    max-height: 0px;
    overflow: hidden;
    transition: max-height .25s ease-in-out;
  }
  
  .toggle:checked + .lbl-toggle + .collapsible-content {
    max-height: 100vh;
  }
  
  .toggle:checked + .lbl-toggle {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }
  
  .collapsible-content .content-inner {
    border: 1px solid var(--bs-border-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    padding: .5rem 1rem;
  }
  
